/* variables */
@import url("app-style-vars.css");

.app-form {
    padding-top: 15px;
}

.app-form-section-title {
    color: #6591C4;
}

.app-form label {
    font-weight: 500;
    font-size: 11px;
    margin-bottom: 4px !important;
    text-transform: uppercase;
    color: #202D35;
}

.app-form .col-form-label {
    padding-top: 4px !important;
    padding-bottom: 4px !important;
}

.app-form label.app-required::after {
    content: "*";
    color: red;
}

.app-form.app-form-readonly label {
    font-weight: 700;
}

.app-form .form-row {
    margin-bottom: 4px !important;
    padding: 4px 0;
}

.app-form .p-datepicker {
    width: 100% !important;
    /*width: auto !important;*/
}

.app-form .form-group {
    margin-bottom: 0 !important;
}

.app-form .ui-message {
    display: contents !important;
    font-weight: 500 !important;
}

.app-form span.form-control {
    height: auto !important;
}

.app-form input,
.app-form select {
    min-height: var(--app-form-input-height) !important;
    height: var(--app-form-input-height) !important;
}

.app-form .form-control {
    font-size: 12px !important;
    font-weight: 500;
}

.app-form .form-group.row {
    margin-bottom: 10px !important;
}

.app-form-section {
    border: 1px solid #000000;
    margin-bottom: 30px;
}

.app-form-section-header {
    padding: 3px 15px;
    background-color: #d0ddf5;
    border-bottom: 1px solid #000000;
    font-size: 12px;
    font-weight: bold;
}

.app-form-section-body {
    padding: 15px 15px;
}

.app-form-section-body .ui-message {
    padding: 0 !important;
    display: inline !important;
}

.app-form-footer {
    border: 1px solid #000000;
    padding: 3px 15px;
}

.app-input-required {

}

.app-form-selected-center {
    /*border: 2px solid #B9E3FC;*/
    padding: 20px;
    font-weight: bold;
    margin-bottom: 15px;
}


.app-form-inline-radio-panel {
    border: 1px solid #ced4da;
    border-radius: .25rem;
    padding: 5px 10px;
    display: inline-block;
    background-color: #FFFFFF;
}

ul.app-form-global-message {
    list-style-type: none;
    color: #FF0000;
    font-weight: bold;
    padding: 5px;
    background-color: #fff0f0;
    text-align: center;
}

.app-readonly {
    background-color: #E9ECEF !important;
}

.app-readonly > input {
    background-color: #E9ECEF !important;
}

.app-form span.app-readonly {
    min-height: 25px;
    height: inherit !important;
}

.app-input-required {
    border: 2px solid #005A9C !important;
}

.app-date-picker .ui-inputfield {
    height: 29px;
    width: 100%;
    border: 2px solid #CDD8EC !important;
    color: #374B59;
    -webkit-box-shadow: inset 0 1px 0 #f7f7f7, 0 1px 0 rgb(255 255 255 / 10%);
    box-shadow: inset 0 1px 0 #f7f7f7, 0 1px 0 rgb(255 255 255 / 10%);
    -webkit-transition: box-shadow 180ms, border 180ms;
    -moz-transition: box-shadow 180ms, border 180ms;
    transition: box-shadow 180ms, border 180ms;
}

.app-date-picker .ui-inputfield:focus {
    outline: none;
    -webkit-transition: none;
    -moz-transition: none;
    transition: none;
    -webkit-box-shadow: 0 0 0 2px rgb(205 216 236 / 50%), inset 0 1px 0 #f7f7f7, 0 1px 0 rgb(255 255 255 / 10%);
    box-shadow: 0 0 0 2px rgb(205 216 236 / 50%), inset 0 1px 0 #f7f7f7, 0 1px 0 rgb(255 255 255 / 10%);
    -webkit-box-shadow: 0 0 0 2px rgb(205 216 236 / 50%);
    box-shadow: 0 0 0 2px rgb(205 216 236 / 50%);
}

.app-date-picker.app-input-required {
    border: none !important;
}

.app-date-picker.app-input-required .ui-inputfield {
    border: 2px solid #005A9C !important;
}

.app-plain-text {
    border: none !important;
    box-shadow: none !important;
    outline: none !important;
    padding-left: 0 !important;
}

.app-form-message {
    background-color: #FFCDD2;
    border-radius: 5px;
    font-weight: 500;
}

.app-form-message ul {
    list-style-type: none;
    padding: 5px;
    margin: 0;
}

.app-form-grid-radio td {
    padding: .5rem;
}

.app-form .g-1, .app-form .gy-1 {
    --bs-gutter-y: 8px !important;
}

.app-form .g-2, .app-form .gy-2 {
    --bs-gutter-y: 12px !important;
}

/* cif */
.app-cif {
    background-color: #fff;
    padding: 6px 6px;
    border-radius: 10px;
    /*border: 1px solid #CDD8EC;*/
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    /*border-radius: 2px;
    transition: box-shadow 0.3s ease;*/
}

.app-cif:hover {
    /*box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);*/
}

.app-cif .app-cif-form-title {
    background-color: #cadbf9;
    /*border: 1px solid #000000;*/
    border-radius: 5px;
    padding: 4px;
    text-align: center;
    font-weight: bold;
    font-size: 15px;
}

.app-cif .app-cif-form-section {
    padding-bottom: 10px;
}

.app-cif .app-cif-form-section-header {
    background-color: #cadbf9;
    /*border: 1px solid #000000;*/
    border-radius: 5px;
    padding: 6px;
    font-weight: bold;
}

.app-cif .app-cif-form-section-content {
    padding: 5px;
}

.app-cif .app-conditional-field-label {
    padding-left: 30px;
}

.app-cif .app-cif-form-group-title,
.app-form .app-cif-form-group-title {
    color: var(--app-brand-light-color);
    font-weight: bold;
    padding-left: 0 !important;
    font-size: 14px;
    padding-top: 10px;
    text-transform: none !important;
}

.app-cif .app-cif-form-group-title-sm,
.app-form .app-cif-form-group-title-sm {
    color: var(--app-brand-light-color);
    font-weight: bold;
    padding-left: 0 !important;
    font-size: 12px;
    padding-top: 10px;
    text-transform: none !important;
}

.app-cif .app-form-section-divider,
.app-form .app-form-section-divider {
    border-collapse: collapse;
    border: 1px dashed #c5cad3;
    margin: 15px 0 5px 0;
}

.app-form-actions-panel {
    margin-top: 15px;
    margin-bottom: 25px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding-left: 10px;
    padding-right: 10px;
}

.app-cif .app-afp-injection-site .ui-chkbox-label {
    min-width: 88px;
    margin-right: 10px;
}

/* end cif */

/* media query */
@media (min-width: 768px) and (max-width: 1024px) {
    .app-form-actions-panel {
        padding-bottom: 100px;
    }
}
